For the complete documentation index, see llms.txt. This page is also available as Markdown.

Creates New Series

Serileri Listeler.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Query parameters
Searchstring · nullableOptional
PageSizeinteger · int32 · max: 150Optional
Pageinteger · int32Optional
SortColumnstring · nullableOptional
SortTypestring · enumOptionalPossible values:
IsActiveboolean · nullableOptional
IsDefaultboolean · nullableOptional
Responses
200

Serileri Listeler.

application/json
Pageinteger · int32Optional
PageSizeinteger · int32Optional
TotalCountinteger · int32 · nullableOptional
TotalPagesinteger · int32 · nullableRead-onlyOptional
get/Series
GET /einvoice/Series HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "Page": 1,
  "PageSize": 1,
  "TotalCount": 1,
  "TotalPages": 1,
  "Content": [
    {
      "ID": 1,
      "Name": "text",
      "IsDefault": true,
      "IsActive": true,
      "CreatedDate": "2026-01-01T00:00:00.000Z",
      "Details": [
        {
          "ID": 1,
          "Year": "text",
          "OrdinalNumber": 1,
          "LastIssueDate": "2026-01-01T00:00:00.000Z"
        }
      ]
    }
  ]
}
var options = new RestClientOptions("//einsurance/Series")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""Name"": ""67D""," + "\n" +
@"  ""IsActive"": ""<boolean>""," + "\n" +
@"  ""IsDefault"": ""<boolean>""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Series',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "Name": "67D",
  "IsActive": "<boolean>",
  "IsDefault": "<boolean>"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated